<ui version="4.0">
 <class>TabularUi</class>
 <widget class="QDialog" name="TabularUi">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>378</width>
    <height>401</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string/>
  </property>
  <property name="sizeGripEnabled">
   <bool>true</bool>
  </property>
  <layout class="QGridLayout">
   <property name="margin">
    <number>9</number>
   </property>
   <property name="spacing">
    <number>6</number>
   </property>
   <item row="1" column="0">
    <layout class="QHBoxLayout">
     <property name="spacing">
      <number>6</number>
     </property>
     <property name="margin">
      <number>0</number>
     </property>
     <item>
      <widget class="QLabel" name="TextLabel1">
       <property name="text">
        <string>Current cell:</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QLineEdit" name="tabularRowED">
       <property name="sizePolicy">
        <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="maximumSize">
        <size>
         <width>40</width>
         <height>32767</height>
        </size>
       </property>
       <property name="focusPolicy">
        <enum>Qt::NoFocus</enum>
       </property>
       <property name="toolTip">
        <string>Current row position</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QLineEdit" name="tabularColumnED">
       <property name="sizePolicy">
        <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="maximumSize">
        <size>
         <width>40</width>
         <height>32767</height>
        </size>
       </property>
       <property name="focusPolicy">
        <enum>Qt::NoFocus</enum>
       </property>
       <property name="toolTip">
        <string>Current column position</string>
       </property>
      </widget>
     </item>
     <item>
      <spacer>
       <property name="orientation">
        <enum>Qt::Horizontal</enum>
       </property>
       <property name="sizeType">
        <enum>QSizePolicy::Expanding</enum>
       </property>
       <property name="sizeHint" stdset="0">
        <size>
         <width>20</width>
         <height>20</height>
        </size>
       </property>
      </spacer>
     </item>
     <item>
      <widget class="QPushButton" name="closePB">
       <property name="sizePolicy">
        <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="text">
        <string>Close</string>
       </property>
       <property name="autoDefault">
        <bool>false</bool>
       </property>
      </widget>
     </item>
    </layout>
   </item>
   <item row="0" column="0">
    <widget class="QTabWidget" name="TabWidget">
     <property name="toolTip">
      <string/>
     </property>
     <property name="tabShape">
      <enum>QTabWidget::Rounded</enum>
     </property>
     <property name="currentIndex">
      <number>0</number>
     </property>
     <widget class="QWidget" name="Settings">
      <attribute name="title">
       <string>&amp;Table Settings</string>
      </attribute>
      <layout class="QGridLayout" name="gridLayout_6">
       <item row="0" column="0">
        <widget class="QGroupBox" name="GroupBox12">
         <property name="title">
          <string>Column settings</string>
         </property>
         <layout class="QGridLayout" name="gridLayout_5">
          <item row="0" column="0">
           <widget class="QLabel" name="hAlignCO">
            <property name="text">
             <string>&amp;Horizontal alignment:</string>
            </property>
            <property name="buddy">
             <cstring>hAlignCB</cstring>
            </property>
           </widget>
          </item>
          <item row="0" column="1">
           <widget class="QComboBox" name="hAlignCB">
            <property name="toolTip">
             <string>Horizontal alignment in column</string>
            </property>
            <item>
             <property name="text">
              <string>Justified</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Left</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Center</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Right</string>
             </property>
            </item>
           </widget>
          </item>
          <item row="0" column="2">
           <spacer>
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
            <property name="sizeType">
             <enum>QSizePolicy::Expanding</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>40</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
          <item row="1" column="0">
           <widget class="QLabel" name="fixedWidthColLA">
            <property name="text">
             <string>&amp;Width:</string>
            </property>
            <property name="buddy">
             <cstring>widthED</cstring>
            </property>
           </widget>
          </item>
          <item row="1" column="1">
           <widget class="QLineEdit" name="widthED">
            <property name="enabled">
             <bool>true</bool>
            </property>
            <property name="toolTip">
             <string>Fixed width of the column</string>
            </property>
            <property name="text">
             <string/>
            </property>
           </widget>
          </item>
          <item row="1" column="2">
           <widget class="LengthCombo" name="widthUnitCB"/>
          </item>
          <item row="1" column="3">
           <spacer name="spacer_3">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
            <property name="sizeType">
             <enum>QSizePolicy::Expanding</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>7</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
          <item row="2" column="0">
           <widget class="QLabel" name="vAlignCO">
            <property name="text">
             <string>&amp;Vertical alignment in row:</string>
            </property>
            <property name="buddy">
             <cstring>vAlignCB</cstring>
            </property>
           </widget>
          </item>
          <item row="2" column="1">
           <widget class="QComboBox" name="vAlignCB">
            <property name="toolTip">
             <string>Specifies the vertical alignment of this cell in relation to the baseline of the row.</string>
            </property>
            <item>
             <property name="text">
              <string>Top</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Middle</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Bottom</string>
             </property>
            </item>
           </widget>
          </item>
          <item row="2" column="2">
           <spacer name="spacer">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
            <property name="sizeType">
             <enum>QSizePolicy::Expanding</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>40</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
          <item row="3" column="0">
           <widget class="QCheckBox" name="multicolumnCB">
            <property name="toolTip">
             <string>Merge cells</string>
            </property>
            <property name="text">
             <string>&amp;Multicolumn</string>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item row="1" column="0">
        <widget class="QGroupBox" name="groupBox">
         <property name="title">
          <string>Cell setting</string>
         </property>
         <layout class="QGridLayout" name="gridLayout_3">
          <item row="0" column="0">
           <widget class="QCheckBox" name="rotateCellCB">
            <property name="toolTip">
             <string>Rotate this cell by 90 degrees</string>
            </property>
            <property name="text">
             <string>Rotate &amp;cell 90 degrees</string>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item row="2" column="0">
        <widget class="QGroupBox" name="tabAlignmentGB">
         <property name="enabled">
          <bool>true</bool>
         </property>
         <property name="title">
          <string>Table-wide settings</string>
         </property>
         <layout class="QGridLayout" name="gridLayout_4">
          <item row="0" column="0">
           <widget class="QLabel" name="TableAlignCO">
            <property name="text">
             <string>Verti&amp;cal alignment:</string>
            </property>
            <property name="buddy">
             <cstring>vAlignCB</cstring>
            </property>
           </widget>
          </item>
          <item row="0" column="1">
           <widget class="QComboBox" name="TableAlignCB">
            <property name="toolTip">
             <string>Vertical alignment of the table</string>
            </property>
            <property name="currentIndex">
             <number>1</number>
            </property>
            <item>
             <property name="text">
              <string>Top</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Middle</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Bottom</string>
             </property>
            </item>
           </widget>
          </item>
          <item row="0" column="2">
           <spacer name="spacer_2">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
            <property name="sizeType">
             <enum>QSizePolicy::Expanding</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>153</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
          <item row="1" column="0" colspan="2">
           <widget class="QCheckBox" name="rotateTabularCB">
            <property name="enabled">
             <bool>true</bool>
            </property>
            <property name="toolTip">
             <string>Rotate the table by 90 degrees</string>
            </property>
            <property name="text">
             <string>&amp;Rotate table 90 degrees</string>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item row="3" column="0">
        <layout class="QHBoxLayout" name="horizontalLayout">
         <item>
          <widget class="QLabel" name="specialAlignmentLA">
           <property name="text">
            <string>LaTe&amp;X argument:</string>
           </property>
           <property name="buddy">
            <cstring>specialAlignmentED</cstring>
           </property>
          </widget>
         </item>
         <item>
          <widget class="QLineEdit" name="specialAlignmentED">
           <property name="toolTip">
            <string>Custom column format (LaTeX)</string>
           </property>
          </widget>
         </item>
        </layout>
       </item>
       <item row="4" column="0">
        <spacer name="verticalSpacer_2">
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
         <property name="sizeHint" stdset="0">
          <size>
           <width>20</width>
           <height>68</height>
          </size>
         </property>
        </spacer>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="Borders">
      <attribute name="title">
       <string>&amp;Borders</string>
      </attribute>
      <layout class="QGridLayout" name="gridLayout_8">
       <item row="0" column="0">
        <widget class="QGroupBox" name="setBordersGB">
         <property name="title">
          <string>Set Borders</string>
         </property>
         <layout class="QGridLayout">
          <property name="margin">
           <number>9</number>
          </property>
          <property name="spacing">
           <number>6</number>
          </property>
          <item row="0" column="0">
           <widget class="QFrame" name="bordersF">
            <property name="sizePolicy">
             <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
              <horstretch>0</horstretch>
              <verstretch>0</verstretch>
             </sizepolicy>
            </property>
            <property name="palette">
             <palette>
              <active>
               <colorrole role="WindowText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>0</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Button">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>230</red>
                  <green>240</green>
                  <blue>249</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Light">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Midlight">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>242</red>
                  <green>247</green>
                  <blue>252</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Dark">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>115</red>
                  <green>120</green>
                  <blue>124</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Mid">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>154</red>
                  <green>160</green>
                  <blue>166</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Text">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>0</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="BrightText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="ButtonText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>0</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Base">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Window">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Shadow">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>0</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Highlight">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>16</red>
                  <green>145</green>
                  <blue>210</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="HighlightedText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Link">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="LinkVisited">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>0</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="AlternateBase">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>232</red>
                  <green>232</green>
                  <blue>232</blue>
                 </color>
                </brush>
               </colorrole>
              </active>
              <inactive>
               <colorrole role="WindowText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>0</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Button">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>230</red>
                  <green>240</green>
                  <blue>249</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Light">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Midlight">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Dark">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>115</red>
                  <green>120</green>
                  <blue>124</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Mid">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>154</red>
                  <green>160</green>
                  <blue>166</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Text">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>0</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="BrightText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="ButtonText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>0</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Base">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Window">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Shadow">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>0</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Highlight">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>16</red>
                  <green>145</green>
                  <blue>210</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="HighlightedText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Link">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="LinkVisited">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>0</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="AlternateBase">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>232</red>
                  <green>232</green>
                  <blue>232</blue>
                 </color>
                </brush>
               </colorrole>
              </inactive>
              <disabled>
               <colorrole role="WindowText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>128</red>
                  <green>128</green>
                  <blue>128</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Button">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>230</red>
                  <green>240</green>
                  <blue>249</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Light">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Midlight">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Dark">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>115</red>
                  <green>120</green>
                  <blue>124</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Mid">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>154</red>
                  <green>160</green>
                  <blue>166</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Text">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>0</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="BrightText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="ButtonText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>128</red>
                  <green>128</green>
                  <blue>128</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Base">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Window">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Shadow">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>0</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Highlight">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>16</red>
                  <green>145</green>
                  <blue>210</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="HighlightedText">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>255</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="Link">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>0</red>
                  <green>0</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="LinkVisited">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>255</red>
                  <green>0</green>
                  <blue>255</blue>
                 </color>
                </brush>
               </colorrole>
               <colorrole role="AlternateBase">
                <brush brushstyle="SolidPattern">
                 <color alpha="255">
                  <red>232</red>
                  <green>232</green>
                  <blue>232</blue>
                 </color>
                </brush>
               </colorrole>
              </disabled>
             </palette>
            </property>
            <property name="frameShape">
             <enum>QFrame::StyledPanel</enum>
            </property>
            <property name="frameShadow">
             <enum>QFrame::Sunken</enum>
            </property>
            <layout class="QGridLayout">
             <property name="margin">
              <number>9</number>
             </property>
             <property name="spacing">
              <number>6</number>
             </property>
             <item row="0" column="0">
              <widget class="GuiSetBorder" name="borders" native="true">
               <property name="sizePolicy">
                <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                 <horstretch>0</horstretch>
                 <verstretch>0</verstretch>
                </sizepolicy>
               </property>
               <property name="toolTip">
                <string>Set borders of the current (selected) cell(s)</string>
               </property>
              </widget>
             </item>
            </layout>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item row="0" column="1">
        <widget class="QGroupBox" name="allBordersGB">
         <property name="title">
          <string>All Borders</string>
         </property>
         <layout class="QGridLayout">
          <property name="margin">
           <number>9</number>
          </property>
          <property name="spacing">
           <number>6</number>
          </property>
          <item row="0" column="0">
           <widget class="QPushButton" name="borderSetPB">
            <property name="toolTip">
             <string>Set all borders of the current (selected) cell(s)</string>
            </property>
            <property name="text">
             <string>&amp;Set</string>
            </property>
           </widget>
          </item>
          <item row="1" column="0">
           <widget class="QPushButton" name="borderUnsetPB">
            <property name="toolTip">
             <string>Unset all borders of the current (selected) cell(s)</string>
            </property>
            <property name="text">
             <string>C&amp;lear</string>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item row="0" column="2">
        <widget class="QGroupBox" name="borderStyleGB">
         <property name="title">
          <string>Style</string>
         </property>
         <layout class="QGridLayout">
          <property name="margin">
           <number>9</number>
          </property>
          <property name="spacing">
           <number>6</number>
          </property>
          <item row="1" column="0">
           <widget class="QRadioButton" name="booktabsRB">
            <property name="toolTip">
             <string>Use formal (a.k.a. booktabs) border style (no vertical borders)</string>
            </property>
            <property name="text">
             <string>Fo&amp;rmal</string>
            </property>
            <property name="checked">
             <bool>true</bool>
            </property>
           </widget>
          </item>
          <item row="0" column="0">
           <widget class="QRadioButton" name="borderDefaultRB">
            <property name="toolTip">
             <string>Use default (grid-like) border style</string>
            </property>
            <property name="text">
             <string>De&amp;fault</string>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item row="0" column="3">
        <spacer>
         <property name="orientation">
          <enum>Qt::Horizontal</enum>
         </property>
         <property name="sizeType">
          <enum>QSizePolicy::Expanding</enum>
         </property>
         <property name="sizeHint" stdset="0">
          <size>
           <width>63</width>
           <height>20</height>
          </size>
         </property>
        </spacer>
       </item>
       <item row="1" column="1">
        <spacer name="spacer_4">
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
         <property name="sizeHint" stdset="0">
          <size>
           <width>20</width>
           <height>44</height>
          </size>
         </property>
        </spacer>
       </item>
       <item row="2" column="0" colspan="4">
        <widget class="QGroupBox" name="SpaceGB">
         <property name="title">
          <string>Additional Space</string>
         </property>
         <layout class="QGridLayout">
          <property name="margin">
           <number>9</number>
          </property>
          <property name="spacing">
           <number>6</number>
          </property>
          <item row="0" column="0">
           <widget class="QLabel" name="topspaceLA">
            <property name="text">
             <string>T&amp;op of row:</string>
            </property>
            <property name="buddy">
             <cstring>topspaceCO</cstring>
            </property>
           </widget>
          </item>
          <item row="0" column="2">
           <widget class="QLineEdit" name="topspaceED"/>
          </item>
          <item row="0" column="3">
           <widget class="LengthCombo" name="topspaceUnit"/>
          </item>
          <item row="0" column="1">
           <widget class="QComboBox" name="topspaceCO">
            <item>
             <property name="text">
              <string>None</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Default</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Custom</string>
             </property>
            </item>
           </widget>
          </item>
          <item row="1" column="1">
           <widget class="QComboBox" name="bottomspaceCO">
            <item>
             <property name="text">
              <string>None</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Default</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Custom</string>
             </property>
            </item>
           </widget>
          </item>
          <item row="1" column="3">
           <widget class="LengthCombo" name="bottomspaceUnit"/>
          </item>
          <item row="1" column="2">
           <widget class="QLineEdit" name="bottomspaceED"/>
          </item>
          <item row="1" column="0">
           <widget class="QLabel" name="bottomspaceLA">
            <property name="text">
             <string>Botto&amp;m of row:</string>
            </property>
            <property name="buddy">
             <cstring>bottomspaceCO</cstring>
            </property>
           </widget>
          </item>
          <item row="2" column="2">
           <widget class="QLineEdit" name="interlinespaceED"/>
          </item>
          <item row="2" column="0">
           <widget class="QLabel" name="interlinespaceLA">
            <property name="text">
             <string>Bet&amp;ween rows:</string>
            </property>
            <property name="buddy">
             <cstring>interlinespaceCO</cstring>
            </property>
           </widget>
          </item>
          <item row="2" column="1">
           <widget class="QComboBox" name="interlinespaceCO">
            <item>
             <property name="text">
              <string>None</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Default</string>
             </property>
            </item>
            <item>
             <property name="text">
              <string>Custom</string>
             </property>
            </item>
           </widget>
          </item>
          <item row="2" column="3">
           <widget class="LengthCombo" name="interlinespaceUnit"/>
          </item>
         </layout>
        </widget>
       </item>
       <item row="3" column="1">
        <spacer>
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
         <property name="sizeHint" stdset="0">
          <size>
           <width>20</width>
           <height>43</height>
          </size>
         </property>
        </spacer>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="Longtables">
      <attribute name="title">
       <string>&amp;Longtable</string>
      </attribute>
      <layout class="QGridLayout" name="gridLayout_7">
       <item row="0" column="0">
        <widget class="QCheckBox" name="longTabularCB">
         <property name="toolTip">
          <string>Select for tables that span multiple pages</string>
         </property>
         <property name="text">
          <string>&amp;Use long table</string>
         </property>
        </widget>
       </item>
       <item row="1" column="0">
        <widget class="QGroupBox" name="longtableGB">
         <property name="enabled">
          <bool>false</bool>
         </property>
         <property name="title">
          <string>Row settings</string>
         </property>
         <layout class="QGridLayout" name="gridLayout_2">
          <item row="0" column="1">
           <widget class="QLabel" name="StatusLA">
            <property name="text">
             <string>Status</string>
            </property>
           </widget>
          </item>
          <item row="0" column="2">
           <widget class="QLabel" name="BorderAboveLA">
            <property name="text">
             <string>Border above</string>
            </property>
           </widget>
          </item>
          <item row="0" column="3">
           <widget class="QLabel" name="BorderBelowLA">
            <property name="text">
             <string>Border below</string>
            </property>
           </widget>
          </item>
          <item row="0" column="4">
           <widget class="QLabel" name="ContentsLA">
            <property name="text">
             <string>Contents</string>
            </property>
           </widget>
          </item>
          <item row="1" column="0">
           <widget class="QLabel" name="HeaderLA">
            <property name="text">
             <string>Header:</string>
            </property>
           </widget>
          </item>
          <item row="1" column="1">
           <widget class="QCheckBox" name="headerStatusCB">
            <property name="toolTip">
             <string>Repeat this row as header on every (except the first) page</string>
            </property>
            <property name="text">
             <string>on</string>
            </property>
           </widget>
          </item>
          <item row="1" column="2">
           <widget class="QCheckBox" name="headerBorderAboveCB">
            <property name="toolTip">
             <string/>
            </property>
            <property name="text">
             <string>double</string>
            </property>
           </widget>
          </item>
          <item row="1" column="3">
           <widget class="QCheckBox" name="headerBorderBelowCB">
            <property name="text">
             <string>double</string>
            </property>
           </widget>
          </item>
          <item row="2" column="0">
           <widget class="QLabel" name="FirstHeaderLA">
            <property name="text">
             <string>First header:</string>
            </property>
           </widget>
          </item>
          <item row="2" column="1">
           <widget class="QCheckBox" name="firstheaderStatusCB">
            <property name="toolTip">
             <string>This row is the header of the first page</string>
            </property>
            <property name="whatsThis">
             <string/>
            </property>
            <property name="text">
             <string>on</string>
            </property>
           </widget>
          </item>
          <item row="2" column="2">
           <widget class="QCheckBox" name="firstheaderBorderAboveCB">
            <property name="text">
             <string>double</string>
            </property>
           </widget>
          </item>
          <item row="2" column="3">
           <widget class="QCheckBox" name="firstheaderBorderBelowCB">
            <property name="text">
             <string>double</string>
            </property>
           </widget>
          </item>
          <item row="2" column="4">
           <widget class="QCheckBox" name="firstheaderNoContentsCB">
            <property name="toolTip">
             <string>Don't output the first header</string>
            </property>
            <property name="text">
             <string>is empty</string>
            </property>
           </widget>
          </item>
          <item row="3" column="0">
           <widget class="QLabel" name="FooterLA">
            <property name="text">
             <string>Footer:</string>
            </property>
           </widget>
          </item>
          <item row="3" column="1">
           <widget class="QCheckBox" name="footerStatusCB">
            <property name="toolTip">
             <string>Repeat this row as footer on every (except the last) page</string>
            </property>
            <property name="text">
             <string>on</string>
            </property>
           </widget>
          </item>
          <item row="3" column="2">
           <widget class="QCheckBox" name="footerBorderAboveCB">
            <property name="text">
             <string>double</string>
            </property>
           </widget>
          </item>
          <item row="3" column="3">
           <widget class="QCheckBox" name="footerBorderBelowCB">
            <property name="text">
             <string>double</string>
            </property>
           </widget>
          </item>
          <item row="4" column="0">
           <widget class="QLabel" name="LastFooterLA">
            <property name="text">
             <string>Last footer:</string>
            </property>
           </widget>
          </item>
          <item row="4" column="1">
           <widget class="QCheckBox" name="lastfooterStatusCB">
            <property name="toolTip">
             <string>This row is the footer of the last page</string>
            </property>
            <property name="text">
             <string>on</string>
            </property>
           </widget>
          </item>
          <item row="4" column="2">
           <widget class="QCheckBox" name="lastfooterBorderAboveCB">
            <property name="text">
             <string>double</string>
            </property>
           </widget>
          </item>
          <item row="4" column="3">
           <widget class="QCheckBox" name="lastfooterBorderBelowCB">
            <property name="text">
             <string>double</string>
            </property>
           </widget>
          </item>
          <item row="4" column="4">
           <widget class="QCheckBox" name="lastfooterNoContentsCB">
            <property name="toolTip">
             <string>Don't output the last footer</string>
            </property>
            <property name="text">
             <string>is empty</string>
            </property>
           </widget>
          </item>
          <item row="5" column="0">
           <widget class="QLabel" name="label">
            <property name="text">
             <string>Caption:</string>
            </property>
           </widget>
          </item>
          <item row="5" column="1">
           <widget class="QCheckBox" name="captionStatusCB">
            <property name="text">
             <string>on</string>
            </property>
           </widget>
          </item>
          <item row="6" column="0" colspan="3">
           <widget class="QCheckBox" name="newpageCB">
            <property name="enabled">
             <bool>false</bool>
            </property>
            <property name="toolTip">
             <string>Set a page break on the current row</string>
            </property>
            <property name="text">
             <string>Page &amp;break on current row</string>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item row="2" column="0">
        <widget class="QGroupBox" name="alignmentGB">
         <property name="enabled">
          <bool>false</bool>
         </property>
         <property name="toolTip">
          <string>Horizontal alignment of the longtable</string>
         </property>
         <property name="title">
          <string>Longtable alignment</string>
         </property>
         <layout class="QGridLayout" name="gridLayout9">
          <item row="0" column="0">
           <widget class="QRadioButton" name="leftRB">
            <property name="text">
             <string>Left</string>
            </property>
           </widget>
          </item>
          <item row="0" column="1">
           <widget class="QRadioButton" name="centerRB">
            <property name="text">
             <string>Center</string>
            </property>
            <property name="checked">
             <bool>true</bool>
            </property>
           </widget>
          </item>
          <item row="0" column="2">
           <widget class="QRadioButton" name="rightRB">
            <property name="text">
             <string>Right</string>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item row="3" column="0">
        <spacer name="verticalSpacer">
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
         <property name="sizeHint" stdset="0">
          <size>
           <width>20</width>
           <height>91</height>
          </size>
         </property>
        </spacer>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>LengthCombo</class>
   <extends>QComboBox</extends>
   <header>LengthCombo.h</header>
  </customwidget>
  <customwidget>
   <class>GuiSetBorder</class>
   <extends>QWidget</extends>
   <header>GuiSetBorder.h</header>
  </customwidget>
 </customwidgets>
 <tabstops>
  <tabstop>TabWidget</tabstop>
  <tabstop>hAlignCB</tabstop>
  <tabstop>widthED</tabstop>
  <tabstop>widthUnitCB</tabstop>
  <tabstop>vAlignCB</tabstop>
  <tabstop>multicolumnCB</tabstop>
  <tabstop>rotateTabularCB</tabstop>
  <tabstop>rotateCellCB</tabstop>
  <tabstop>specialAlignmentED</tabstop>
  <tabstop>closePB</tabstop>
  <tabstop>borderSetPB</tabstop>
  <tabstop>borderUnsetPB</tabstop>
  <tabstop>borderDefaultRB</tabstop>
  <tabstop>booktabsRB</tabstop>
  <tabstop>topspaceCO</tabstop>
  <tabstop>bottomspaceCO</tabstop>
  <tabstop>interlinespaceCO</tabstop>
  <tabstop>topspaceED</tabstop>
  <tabstop>bottomspaceED</tabstop>
  <tabstop>interlinespaceED</tabstop>
  <tabstop>topspaceUnit</tabstop>
  <tabstop>bottomspaceUnit</tabstop>
  <tabstop>interlinespaceUnit</tabstop>
  <tabstop>longTabularCB</tabstop>
  <tabstop>headerStatusCB</tabstop>
  <tabstop>headerBorderAboveCB</tabstop>
  <tabstop>headerBorderBelowCB</tabstop>
  <tabstop>firstheaderStatusCB</tabstop>
  <tabstop>firstheaderBorderAboveCB</tabstop>
  <tabstop>firstheaderBorderBelowCB</tabstop>
  <tabstop>firstheaderNoContentsCB</tabstop>
  <tabstop>footerStatusCB</tabstop>
  <tabstop>footerBorderAboveCB</tabstop>
  <tabstop>footerBorderBelowCB</tabstop>
  <tabstop>lastfooterStatusCB</tabstop>
  <tabstop>lastfooterBorderAboveCB</tabstop>
  <tabstop>lastfooterBorderBelowCB</tabstop>
  <tabstop>lastfooterNoContentsCB</tabstop>
  <tabstop>newpageCB</tabstop>
 </tabstops>
 <includes>
  <include location="local">qt_i18n.h</include>
 </includes>
 <resources/>
 <connections/>
</ui>
